# fserr

方是错误封装

# v2alpha版本更新

## 特性
1. 采用6位错误码定位具体错误类型，并根据错误类型给出更加具体的错误信息；
2. 用户无感知的栈信息；
3. 兼容主流错误风格及api，高度可替换性。

## 快速开始

```go
package main

import (
	"fmt"
	"git.sxidc.com/service-supports/fserr/v2alpha"
)

const (
	ErrProjectNotExist = iota + 201
)

func init() {
	// 设置服务码
	fserr.SetAppCode(10)

	// fserr包内置错误码
	fserr.NewOK(fserr.ErrDb, "处理失败，请联系开发人员")

	// 业务模块错误
	fserr.NewOK(ErrProjectNotExist, "项目不存在")
}

func Add() error {
	return fserr.WithCode(nil, ErrProjectNotExist)
}

func main() {
	err := Add()
	if err != nil {
		fmt.Printf("%+v\n", fserr.ParseCode(err))
		return
	}
}
```